import { __assign } from './../external/tslib/tslib.es6.js';
import React from 'react';
import { useDropzone } from './../external/react-dropzone/dist/es/index.js';
import classnames from 'classnames';
import { parseMetadata, suffixMetadata } from '@highlight-ui/utils-commons';
import { Typography } from '@highlight-ui/typography';
import styles from './FileUploader.module.scss.js';
var FileUploader = /*#__PURE__*/React.forwardRef(function (_a, ref) {
  var _b;

  var className = _a.className,
      metadata = _a.metadata,
      accept = _a.accept,
      _c = _a.disabled,
      disabled = _c === void 0 ? false : _c,
      description = _a.description,
      image = _a.image,
      maxFileSize = _a.maxFileSize,
      onDrop = _a.onDrop,
      onDragOver = _a.onDragOver,
      onDragOverText = _a.onDragOverText,
      onDragEnter = _a.onDragEnter,
      onDragLeave = _a.onDragLeave,
      _d = _a.showIcon,
      showIcon = _d === void 0 ? true : _d,
      title = _a.title,
      _e = _a.multiple,
      multiple = _e === void 0 ? true : _e;

  var _f = useDropzone({
    accept: accept,
    disabled: disabled,
    maxSize: maxFileSize,
    multiple: multiple,
    onDrop: onDrop,
    onDragOver: onDragOver,
    onDragEnter: onDragEnter,
    onDragLeave: onDragLeave
  }),
      getRootProps = _f.getRootProps,
      getInputProps = _f.getInputProps,
      isDragActive = _f.isDragActive;

  return /*#__PURE__*/React.createElement("div", __assign({
    className: classnames(styles.fileUploader, className, (_b = {}, _b[styles.isDragActive] = isDragActive, _b[styles.disabledContainer] = disabled, _b))
  }, parseMetadata(suffixMetadata(metadata, 'uploaderText')), {
    ref: ref
  }, getRootProps()), showIcon && image && /*#__PURE__*/React.createElement("img", {
    src: image,
    alt: "File uploader"
  }), /*#__PURE__*/React.createElement("input", __assign({}, getInputProps(), parseMetadata(metadata))), title && /*#__PURE__*/React.createElement(Typography, {
    variant: "caption-1",
    component: "p",
    className: classnames(styles.uploaderTitle)
  }, title), /*#__PURE__*/React.createElement(Typography, __assign({
    variant: "caption-2",
    component: "p",
    className: classnames(styles.uploaderText)
  }, parseMetadata(suffixMetadata(metadata, 'description'))), !isDragActive ? description : onDragOverText));
});
export { FileUploader };
//# sourceMappingURL=FileUploader.js.map
